<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "solicitudes_onlineinfo.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$solicitudes_online_add = new csolicitudes_online_add();
$Page =& $solicitudes_online_add;

// Page init processing
$solicitudes_online_add->Page_Init();

// Page main processing
$solicitudes_online_add->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var solicitudes_online_add = new ew_Page("solicitudes_online_add");

// page properties
solicitudes_online_add.PageID = "add"; // page ID
var EW_PAGE_ID = solicitudes_online_add.PageID; // for backward compatibility

// extend page with ValidateForm function
solicitudes_online_add.ValidateForm = function(fobj) {
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_atendido"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "Incorrect date, format = yyyy/mm/dd - atendido");
		elm = fobj.elements["x" + infix + "_fecha_registro"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "Incorrect date, format = yyyy/mm/dd - fecha registro");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
solicitudes_online_add.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
solicitudes_online_add.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
solicitudes_online_add.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<link rel="stylesheet" type="text/css" media="all" href="calendar/calendar-win2k-1.css" title="win2k-1">
<script type="text/javascript" src="calendar/calendar.js"></script>
<script type="text/javascript" src="calendar/lang/calendar-en.js"></script>
<script type="text/javascript" src="calendar/calendar-setup.js"></script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker">Agregar a TABLA: solicitudes online<br><br>
<a href="<?php echo $solicitudes_online->getReturnUrl() ?>">Regresar</a></span></p>
<?php $solicitudes_online_add->ShowMessage() ?>
<form name="fsolicitudes_onlineadd" id="fsolicitudes_onlineadd" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return solicitudes_online_add.ValidateForm(this);">
<p>
<input type="hidden" name="t" id="t" value="solicitudes_online">
<input type="hidden" name="a_add" id="a_add" value="A">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($solicitudes_online->empresa->Visible) { // empresa ?>
	<tr<?php echo $solicitudes_online->empresa->RowAttributes ?>>
		<td class="ewTableHeader">empresa</td>
		<td<?php echo $solicitudes_online->empresa->CellAttributes() ?>><span id="el_empresa">
<input type="text" name="x_empresa" id="x_empresa" size="30" maxlength="255" value="<?php echo $solicitudes_online->empresa->EditValue ?>"<?php echo $solicitudes_online->empresa->EditAttributes() ?>>
</span><?php echo $solicitudes_online->empresa->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->contacto->Visible) { // contacto ?>
	<tr<?php echo $solicitudes_online->contacto->RowAttributes ?>>
		<td class="ewTableHeader">contacto</td>
		<td<?php echo $solicitudes_online->contacto->CellAttributes() ?>><span id="el_contacto">
<input type="text" name="x_contacto" id="x_contacto" size="30" maxlength="255" value="<?php echo $solicitudes_online->contacto->EditValue ?>"<?php echo $solicitudes_online->contacto->EditAttributes() ?>>
</span><?php echo $solicitudes_online->contacto->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->email->Visible) { // email ?>
	<tr<?php echo $solicitudes_online->email->RowAttributes ?>>
		<td class="ewTableHeader">email</td>
		<td<?php echo $solicitudes_online->email->CellAttributes() ?>><span id="el_email">
<input type="text" name="x_email" id="x_email" size="30" maxlength="255" value="<?php echo $solicitudes_online->email->EditValue ?>"<?php echo $solicitudes_online->email->EditAttributes() ?>>
</span><?php echo $solicitudes_online->email->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->telefono->Visible) { // telefono ?>
	<tr<?php echo $solicitudes_online->telefono->RowAttributes ?>>
		<td class="ewTableHeader">telefono</td>
		<td<?php echo $solicitudes_online->telefono->CellAttributes() ?>><span id="el_telefono">
<input type="text" name="x_telefono" id="x_telefono" size="30" maxlength="255" value="<?php echo $solicitudes_online->telefono->EditValue ?>"<?php echo $solicitudes_online->telefono->EditAttributes() ?>>
</span><?php echo $solicitudes_online->telefono->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->mensaje->Visible) { // mensaje ?>
	<tr<?php echo $solicitudes_online->mensaje->RowAttributes ?>>
		<td class="ewTableHeader">mensaje</td>
		<td<?php echo $solicitudes_online->mensaje->CellAttributes() ?>><span id="el_mensaje">
<textarea name="x_mensaje" id="x_mensaje" cols="35" rows="4"<?php echo $solicitudes_online->mensaje->EditAttributes() ?>><?php echo $solicitudes_online->mensaje->EditValue ?></textarea>
</span><?php echo $solicitudes_online->mensaje->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->tipo->Visible) { // tipo ?>
	<tr<?php echo $solicitudes_online->tipo->RowAttributes ?>>
		<td class="ewTableHeader">tipo</td>
		<td<?php echo $solicitudes_online->tipo->CellAttributes() ?>><span id="el_tipo">
<input type="text" name="x_tipo" id="x_tipo" size="30" maxlength="100" value="<?php echo $solicitudes_online->tipo->EditValue ?>"<?php echo $solicitudes_online->tipo->EditAttributes() ?>>
</span><?php echo $solicitudes_online->tipo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->cod_usuario->Visible) { // cod_usuario ?>
	<tr<?php echo $solicitudes_online->cod_usuario->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario</td>
		<td<?php echo $solicitudes_online->cod_usuario->CellAttributes() ?>><span id="el_cod_usuario">
<select id="x_cod_usuario" name="x_cod_usuario"<?php echo $solicitudes_online->cod_usuario->EditAttributes() ?>>
<?php
if (is_array($solicitudes_online->cod_usuario->EditValue)) {
	$arwrk = $solicitudes_online->cod_usuario->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($solicitudes_online->cod_usuario->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
</span><?php echo $solicitudes_online->cod_usuario->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->atendido->Visible) { // atendido ?>
	<tr<?php echo $solicitudes_online->atendido->RowAttributes ?>>
		<td class="ewTableHeader">atendido</td>
		<td<?php echo $solicitudes_online->atendido->CellAttributes() ?>><span id="el_atendido">
<input type="text" name="x_atendido" id="x_atendido" value="<?php echo $solicitudes_online->atendido->EditValue ?>"<?php echo $solicitudes_online->atendido->EditAttributes() ?>>
&nbsp;<img src="images/calendar.png" id="cal_x_atendido" name="cal_x_atendido" alt="Escoja una fecha" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "x_atendido", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "cal_x_atendido" // ID of the button
});
</script>
</span><?php echo $solicitudes_online->atendido->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($solicitudes_online->fecha_registro->Visible) { // fecha_registro ?>
	<tr<?php echo $solicitudes_online->fecha_registro->RowAttributes ?>>
		<td class="ewTableHeader">fecha registro</td>
		<td<?php echo $solicitudes_online->fecha_registro->CellAttributes() ?>><span id="el_fecha_registro">
<input type="text" name="x_fecha_registro" id="x_fecha_registro" value="<?php echo $solicitudes_online->fecha_registro->EditValue ?>"<?php echo $solicitudes_online->fecha_registro->EditAttributes() ?>>
&nbsp;<img src="images/calendar.png" id="cal_x_fecha_registro" name="cal_x_fecha_registro" alt="Escoja una fecha" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "x_fecha_registro", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "cal_x_fecha_registro" // ID of the button
});
</script>
</span><?php echo $solicitudes_online->fecha_registro->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="  Agregar  ">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class csolicitudes_online_add {

	// Page ID
	var $PageID = 'add';

	// Table Name
	var $TableName = 'solicitudes_online';

	// Page Object Name
	var $PageObjName = 'solicitudes_online_add';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $solicitudes_online;
		if ($solicitudes_online->UseTokenInUrl) $PageUrl .= "t=" . $solicitudes_online->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $solicitudes_online;
		if ($solicitudes_online->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($solicitudes_online->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($solicitudes_online->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function csolicitudes_online_add() {
		global $conn;

		// Initialize table object
		$GLOBALS["solicitudes_online"] = new csolicitudes_online();

		// Initialize other table object
		$GLOBALS['usuario'] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'add', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'solicitudes_online', TRUE);

		// Open connection to the database
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $solicitudes_online;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}
	var $x_ewPriv = 0;

	// 
	// Page main processing
	//
	function Page_Main() {
		global $objForm, $gsFormError, $solicitudes_online;

		// Load key values from QueryString
		$bCopy = TRUE;
		if (@$_GET["id"] != "") {
		  $solicitudes_online->id->setQueryStringValue($_GET["id"]);
		} else {
		  $bCopy = FALSE;
		}

		// Create form object
		$objForm = new cFormObj();

		// Process form if post back
		if (@$_POST["a_add"] <> "") {
		   $solicitudes_online->CurrentAction = $_POST["a_add"]; // Get form action
		  $this->LoadFormValues(); // Load form values

			// Validate Form
			if (!$this->ValidateForm()) {
				$solicitudes_online->CurrentAction = "I"; // Form error, reset action
				$this->setMessage($gsFormError);
			}
		} else { // Not post back
		  if ($bCopy) {
		    $solicitudes_online->CurrentAction = "C"; // Copy Record
		  } else {
		    $solicitudes_online->CurrentAction = "I"; // Display Blank Record
		    $this->LoadDefaultValues(); // Load default values
		  }
		}

		// Perform action based on action code
		switch ($solicitudes_online->CurrentAction) {
		  case "I": // Blank record, no action required
				break;
		  case "C": // Copy an existing record
		   if (!$this->LoadRow()) { // Load record based on key
		      $this->setMessage("No se encontraron registros"); // No record found
		      $this->Page_Terminate("solicitudes_onlinelist.php"); // No matching record, return to list
		    }
				break;
		  case "A": // ' Add new record
				$solicitudes_online->SendEmail = TRUE; // Send email on add success
		    if ($this->AddRow()) { // Add successful
		      $this->setMessage("Agregado con exito"); // Set up success message
					$sReturnUrl = $solicitudes_online->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Clean up and return
		    } else {
		      $this->RestoreFormValues(); // Add failed, restore form values
		    }
		}

		// Render row based on row type
		$solicitudes_online->RowType = EW_ROWTYPE_ADD;  // Render add type

		// Render row
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $solicitudes_online;

		// Get upload data
	}

	// Load default values
	function LoadDefaultValues() {
		global $solicitudes_online;
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $solicitudes_online;
		$solicitudes_online->empresa->setFormValue($objForm->GetValue("x_empresa"));
		$solicitudes_online->contacto->setFormValue($objForm->GetValue("x_contacto"));
		$solicitudes_online->email->setFormValue($objForm->GetValue("x_email"));
		$solicitudes_online->telefono->setFormValue($objForm->GetValue("x_telefono"));
		$solicitudes_online->mensaje->setFormValue($objForm->GetValue("x_mensaje"));
		$solicitudes_online->tipo->setFormValue($objForm->GetValue("x_tipo"));
		$solicitudes_online->cod_usuario->setFormValue($objForm->GetValue("x_cod_usuario"));
		$solicitudes_online->atendido->setFormValue($objForm->GetValue("x_atendido"));
		$solicitudes_online->atendido->CurrentValue = ew_UnFormatDateTime($solicitudes_online->atendido->CurrentValue, 5);
		$solicitudes_online->fecha_registro->setFormValue($objForm->GetValue("x_fecha_registro"));
		$solicitudes_online->fecha_registro->CurrentValue = ew_UnFormatDateTime($solicitudes_online->fecha_registro->CurrentValue, 5);
		$solicitudes_online->id->setFormValue($objForm->GetValue("x_id"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $solicitudes_online;
		$solicitudes_online->id->CurrentValue = $solicitudes_online->id->FormValue;
		$solicitudes_online->empresa->CurrentValue = $solicitudes_online->empresa->FormValue;
		$solicitudes_online->contacto->CurrentValue = $solicitudes_online->contacto->FormValue;
		$solicitudes_online->email->CurrentValue = $solicitudes_online->email->FormValue;
		$solicitudes_online->telefono->CurrentValue = $solicitudes_online->telefono->FormValue;
		$solicitudes_online->mensaje->CurrentValue = $solicitudes_online->mensaje->FormValue;
		$solicitudes_online->tipo->CurrentValue = $solicitudes_online->tipo->FormValue;
		$solicitudes_online->cod_usuario->CurrentValue = $solicitudes_online->cod_usuario->FormValue;
		$solicitudes_online->atendido->CurrentValue = $solicitudes_online->atendido->FormValue;
		$solicitudes_online->atendido->CurrentValue = ew_UnFormatDateTime($solicitudes_online->atendido->CurrentValue, 5);
		$solicitudes_online->fecha_registro->CurrentValue = $solicitudes_online->fecha_registro->FormValue;
		$solicitudes_online->fecha_registro->CurrentValue = ew_UnFormatDateTime($solicitudes_online->fecha_registro->CurrentValue, 5);
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $solicitudes_online;
		$sFilter = $solicitudes_online->KeyFilter();

		// Call Row Selecting event
		$solicitudes_online->Row_Selecting($sFilter);

		// Load sql based on filter
		$solicitudes_online->CurrentFilter = $sFilter;
		$sSql = $solicitudes_online->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$solicitudes_online->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $solicitudes_online;
		$solicitudes_online->id->setDbValue($rs->fields('id'));
		$solicitudes_online->empresa->setDbValue($rs->fields('empresa'));
		$solicitudes_online->contacto->setDbValue($rs->fields('contacto'));
		$solicitudes_online->email->setDbValue($rs->fields('email'));
		$solicitudes_online->telefono->setDbValue($rs->fields('telefono'));
		$solicitudes_online->mensaje->setDbValue($rs->fields('mensaje'));
		$solicitudes_online->tipo->setDbValue($rs->fields('tipo'));
		$solicitudes_online->cod_usuario->setDbValue($rs->fields('cod_usuario'));
		$solicitudes_online->atendido->setDbValue($rs->fields('atendido'));
		$solicitudes_online->fecha_registro->setDbValue($rs->fields('fecha_registro'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $solicitudes_online;

		// Call Row_Rendering event
		$solicitudes_online->Row_Rendering();

		// Common render codes for all row types
		// empresa

		$solicitudes_online->empresa->CellCssStyle = "";
		$solicitudes_online->empresa->CellCssClass = "";

		// contacto
		$solicitudes_online->contacto->CellCssStyle = "";
		$solicitudes_online->contacto->CellCssClass = "";

		// email
		$solicitudes_online->email->CellCssStyle = "";
		$solicitudes_online->email->CellCssClass = "";

		// telefono
		$solicitudes_online->telefono->CellCssStyle = "";
		$solicitudes_online->telefono->CellCssClass = "";

		// mensaje
		$solicitudes_online->mensaje->CellCssStyle = "";
		$solicitudes_online->mensaje->CellCssClass = "";

		// tipo
		$solicitudes_online->tipo->CellCssStyle = "";
		$solicitudes_online->tipo->CellCssClass = "";

		// cod_usuario
		$solicitudes_online->cod_usuario->CellCssStyle = "";
		$solicitudes_online->cod_usuario->CellCssClass = "";

		// atendido
		$solicitudes_online->atendido->CellCssStyle = "";
		$solicitudes_online->atendido->CellCssClass = "";

		// fecha_registro
		$solicitudes_online->fecha_registro->CellCssStyle = "";
		$solicitudes_online->fecha_registro->CellCssClass = "";
		if ($solicitudes_online->RowType == EW_ROWTYPE_VIEW) { // View row

			// id
			$solicitudes_online->id->ViewValue = $solicitudes_online->id->CurrentValue;
			$solicitudes_online->id->CssStyle = "";
			$solicitudes_online->id->CssClass = "";
			$solicitudes_online->id->ViewCustomAttributes = "";

			// empresa
			$solicitudes_online->empresa->ViewValue = $solicitudes_online->empresa->CurrentValue;
			$solicitudes_online->empresa->CssStyle = "";
			$solicitudes_online->empresa->CssClass = "";
			$solicitudes_online->empresa->ViewCustomAttributes = "";

			// contacto
			$solicitudes_online->contacto->ViewValue = $solicitudes_online->contacto->CurrentValue;
			$solicitudes_online->contacto->CssStyle = "";
			$solicitudes_online->contacto->CssClass = "";
			$solicitudes_online->contacto->ViewCustomAttributes = "";

			// email
			$solicitudes_online->email->ViewValue = $solicitudes_online->email->CurrentValue;
			$solicitudes_online->email->CssStyle = "";
			$solicitudes_online->email->CssClass = "";
			$solicitudes_online->email->ViewCustomAttributes = "";

			// telefono
			$solicitudes_online->telefono->ViewValue = $solicitudes_online->telefono->CurrentValue;
			$solicitudes_online->telefono->CssStyle = "";
			$solicitudes_online->telefono->CssClass = "";
			$solicitudes_online->telefono->ViewCustomAttributes = "";

			// mensaje
			$solicitudes_online->mensaje->ViewValue = $solicitudes_online->mensaje->CurrentValue;
			if (!is_null($solicitudes_online->mensaje->ViewValue)) $solicitudes_online->mensaje->ViewValue = str_replace("\n", "<br>", $solicitudes_online->mensaje->ViewValue); 
			$solicitudes_online->mensaje->CssStyle = "";
			$solicitudes_online->mensaje->CssClass = "";
			$solicitudes_online->mensaje->ViewCustomAttributes = "";

			// tipo
			$solicitudes_online->tipo->ViewValue = $solicitudes_online->tipo->CurrentValue;
			$solicitudes_online->tipo->CssStyle = "";
			$solicitudes_online->tipo->CssClass = "";
			$solicitudes_online->tipo->ViewCustomAttributes = "";

			// cod_usuario
			if (strval($solicitudes_online->cod_usuario->CurrentValue) <> "") {
				$sSqlWrk = "SELECT `nom_usuario_sistema` FROM `usuario` WHERE `cod_usuario` = " . ew_AdjustSql($solicitudes_online->cod_usuario->CurrentValue) . "";
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup value(s) found
					$solicitudes_online->cod_usuario->ViewValue = $rswrk->fields('nom_usuario_sistema');
					$rswrk->Close();
				} else {
					$solicitudes_online->cod_usuario->ViewValue = $solicitudes_online->cod_usuario->CurrentValue;
				}
			} else {
				$solicitudes_online->cod_usuario->ViewValue = NULL;
			}
			$solicitudes_online->cod_usuario->CssStyle = "";
			$solicitudes_online->cod_usuario->CssClass = "";
			$solicitudes_online->cod_usuario->ViewCustomAttributes = "";

			// atendido
			$solicitudes_online->atendido->ViewValue = $solicitudes_online->atendido->CurrentValue;
			$solicitudes_online->atendido->ViewValue = ew_FormatDateTime($solicitudes_online->atendido->ViewValue, 5);
			$solicitudes_online->atendido->CssStyle = "";
			$solicitudes_online->atendido->CssClass = "";
			$solicitudes_online->atendido->ViewCustomAttributes = "";

			// fecha_registro
			$solicitudes_online->fecha_registro->ViewValue = $solicitudes_online->fecha_registro->CurrentValue;
			$solicitudes_online->fecha_registro->ViewValue = ew_FormatDateTime($solicitudes_online->fecha_registro->ViewValue, 5);
			$solicitudes_online->fecha_registro->CssStyle = "";
			$solicitudes_online->fecha_registro->CssClass = "";
			$solicitudes_online->fecha_registro->ViewCustomAttributes = "";

			// empresa
			$solicitudes_online->empresa->HrefValue = "";

			// contacto
			$solicitudes_online->contacto->HrefValue = "";

			// email
			$solicitudes_online->email->HrefValue = "";

			// telefono
			$solicitudes_online->telefono->HrefValue = "";

			// mensaje
			$solicitudes_online->mensaje->HrefValue = "";

			// tipo
			$solicitudes_online->tipo->HrefValue = "";

			// cod_usuario
			$solicitudes_online->cod_usuario->HrefValue = "";

			// atendido
			$solicitudes_online->atendido->HrefValue = "";

			// fecha_registro
			$solicitudes_online->fecha_registro->HrefValue = "";
		} elseif ($solicitudes_online->RowType == EW_ROWTYPE_ADD) { // Add row

			// empresa
			$solicitudes_online->empresa->EditCustomAttributes = "";
			$solicitudes_online->empresa->EditValue = ew_HtmlEncode($solicitudes_online->empresa->CurrentValue);

			// contacto
			$solicitudes_online->contacto->EditCustomAttributes = "";
			$solicitudes_online->contacto->EditValue = ew_HtmlEncode($solicitudes_online->contacto->CurrentValue);

			// email
			$solicitudes_online->email->EditCustomAttributes = "";
			$solicitudes_online->email->EditValue = ew_HtmlEncode($solicitudes_online->email->CurrentValue);

			// telefono
			$solicitudes_online->telefono->EditCustomAttributes = "";
			$solicitudes_online->telefono->EditValue = ew_HtmlEncode($solicitudes_online->telefono->CurrentValue);

			// mensaje
			$solicitudes_online->mensaje->EditCustomAttributes = "";
			$solicitudes_online->mensaje->EditValue = ew_HtmlEncode($solicitudes_online->mensaje->CurrentValue);

			// tipo
			$solicitudes_online->tipo->EditCustomAttributes = "";
			$solicitudes_online->tipo->EditValue = ew_HtmlEncode($solicitudes_online->tipo->CurrentValue);

			// cod_usuario
			$solicitudes_online->cod_usuario->EditCustomAttributes = "";
			$sSqlWrk = "SELECT `cod_usuario`, `nom_usuario_sistema`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `usuario`";
			$sWhereWrk = "";
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE $sWhereWrk";
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", "Seleccione"));
			$solicitudes_online->cod_usuario->EditValue = $arwrk;

			// atendido
			$solicitudes_online->atendido->EditCustomAttributes = "";
			$solicitudes_online->atendido->EditValue = ew_HtmlEncode(ew_FormatDateTime($solicitudes_online->atendido->CurrentValue, 5));

			// fecha_registro
			$solicitudes_online->fecha_registro->EditCustomAttributes = "";
			$solicitudes_online->fecha_registro->EditValue = ew_HtmlEncode(ew_FormatDateTime($solicitudes_online->fecha_registro->CurrentValue, 5));
		}

		// Call Row Rendered event
		$solicitudes_online->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $gsFormError, $solicitudes_online;

		// Initialize
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!ew_CheckDate($solicitudes_online->atendido->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect date, format = yyyy/mm/dd - atendido";
		}
		if (!ew_CheckDate($solicitudes_online->fecha_registro->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect date, format = yyyy/mm/dd - fecha registro";
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Add record
	function AddRow() {
		global $conn, $Security, $solicitudes_online;
		$rsnew = array();

		// Field empresa
		$solicitudes_online->empresa->SetDbValueDef($solicitudes_online->empresa->CurrentValue, NULL);
		$rsnew['empresa'] =& $solicitudes_online->empresa->DbValue;

		// Field contacto
		$solicitudes_online->contacto->SetDbValueDef($solicitudes_online->contacto->CurrentValue, NULL);
		$rsnew['contacto'] =& $solicitudes_online->contacto->DbValue;

		// Field email
		$solicitudes_online->email->SetDbValueDef($solicitudes_online->email->CurrentValue, NULL);
		$rsnew['email'] =& $solicitudes_online->email->DbValue;

		// Field telefono
		$solicitudes_online->telefono->SetDbValueDef($solicitudes_online->telefono->CurrentValue, NULL);
		$rsnew['telefono'] =& $solicitudes_online->telefono->DbValue;

		// Field mensaje
		$solicitudes_online->mensaje->SetDbValueDef($solicitudes_online->mensaje->CurrentValue, NULL);
		$rsnew['mensaje'] =& $solicitudes_online->mensaje->DbValue;

		// Field tipo
		$solicitudes_online->tipo->SetDbValueDef($solicitudes_online->tipo->CurrentValue, NULL);
		$rsnew['tipo'] =& $solicitudes_online->tipo->DbValue;

		// Field cod_usuario
		$solicitudes_online->cod_usuario->SetDbValueDef($solicitudes_online->cod_usuario->CurrentValue, NULL);
		$rsnew['cod_usuario'] =& $solicitudes_online->cod_usuario->DbValue;

		// Field atendido
		$solicitudes_online->atendido->SetDbValueDef(ew_UnFormatDateTime($solicitudes_online->atendido->CurrentValue, 5), NULL);
		$rsnew['atendido'] =& $solicitudes_online->atendido->DbValue;

		// Field fecha_registro
		$solicitudes_online->fecha_registro->SetDbValueDef(ew_UnFormatDateTime($solicitudes_online->fecha_registro->CurrentValue, 5), NULL);
		$rsnew['fecha_registro'] =& $solicitudes_online->fecha_registro->DbValue;

		// Call Row Inserting event
		$bInsertRow = $solicitudes_online->Row_Inserting($rsnew);
		if ($bInsertRow) {
			$conn->raiseErrorFn = 'ew_ErrorFn';
			$AddRow = $conn->Execute($solicitudes_online->InsertSQL($rsnew));
			$conn->raiseErrorFn = '';
		} else {
			if ($solicitudes_online->CancelMessage <> "") {
				$this->setMessage($solicitudes_online->CancelMessage);
				$solicitudes_online->CancelMessage = "";
			} else {
				$this->setMessage("Insertar cancelado");
			}
			$AddRow = FALSE;
		}
		if ($AddRow) {
			$solicitudes_online->id->setDbValue($conn->Insert_ID());
			$rsnew['id'] =& $solicitudes_online->id->DbValue;

			// Call Row Inserted event
			$solicitudes_online->Row_Inserted($rsnew);
		}
		return $AddRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
